.top-navbar {
  width: 100%;
  background: linear-gradient(90deg, #f4f4f4, #ffffff);
  border-bottom: 1px solid #ddd; 
  height: 50px;
  font-size: 14px;
  position: relative; 
 
 
}

.top-navbar .container-fluid {
  display: flex;
  justify-content: space-between;
  align-items: center;
  
}
.custom-navbar .container-fluid {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: -8px;
  margin-bottom: -8px;
  
}


.top-navbar .navbar-brand img {
  width: 100%;
  height: 80px;
  max-width: 200px;
  max-height: 50px;
  float: left;
  
  
  
  margin-right: 7px;

  
}

.left-section, .right-section {
  display: flex; 
  align-items: center; 
}

.right-section .nav-item {
  margin-left: 10px;
}
#languageIcon {
  color: #2a2a2a !important; 
}

.right-section .nav-item .dropdown-toggle {
  background: linear-gradient(90deg, #1e1e1e, #363636);
  color: #ffffff; 
  border-radius: 5px; 
  padding: 8px 2px; 
  transition: background-color 0.3s ease; 
  text-shadow: 0 0 2px rgba(255, 255, 255, 0.8), 
               0 0 2px rgba(255, 255, 255, 0.6); 
}
.user-box {
  display: inline-flex;
}
.dropdown-toggle {
  margin-left: 3px; 
}
.top-navbar .top-nav-item {
  margin: 0 10px;
  color: #333;
  text-decoration: none;
  font-weight: 500;
}

.top-navbar .top-nav-item:hover {
  text-decoration: underline;
}

.top-navbar .material-symbols-rounded {
  font-size: 20px;
  vertical-align: middle;
  margin-left: 5px;
}


.custom-navbar {
  background: linear-gradient(90deg, #1e1e1e, #363636);
  color: rgba(255, 255, 255, 0.86); 
  padding: 10px 20px; 
  box-shadow: 0 4px 6px rgba(48, 48, 48, 0.1); 
  border-bottom: 2px solid #1a2533; 
  transition: all 0.3s ease-in-out; 
  padding-left: 30px;
  display: flex;
  justify-content: flex-start; 
  align-items: center; 
  width: 100%; 
  
  
 
}
.custom-navbar .nav-link {
  color: rgba(255, 255, 255, 0.86); 
  font-size: 14px; 
  font-weight: 400; 
  display: inline-flex;  
  align-items: center;   
  margin-top: 8px;
  margin-bottom: 8px;
  
  
  
  
  
  text-transform: capitalize; 
  padding: 2px 5px; 
  border-radius: 5px; 
  text-decoration: none; 
  transition: color 0.3s ease, background-color 0.3s ease; 
  
}


.top-navbar .navbar-brand {
  font-size: 20px; 
  font-weight: bold; 
  color: rgb(255, 255, 255); 
  text-transform: uppercase; 
}

.custom-navbar .navbar-toggler {
  border: none; 
  background-color: #2a2a2a; 
  border-radius: 5px; 
  padding: 5px 10px; 
}
.custom-navbar .navbar-toggler-icon {
  background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' fill='%23344767' viewBox='0 0 30 30'><path stroke='rgba(252, 252, 252, 0.8)' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/></svg>");
}
@media (max-width: 768px) {
  .custom-navbar .nav-links {
      display: none; 
  }
  .custom-navbar .nav-links.active {
      display: block; 
      position: absolute; 
      top: 60px; 
      right: 0;
      background-color: #212020; 
      width: 100%; 
      padding: 20px;
      
  }
  .custom-navbar .nav-link {
      display: block; 
      margin: 10px 0; 
  }
}
.custom-navbar {
  position: sticky; 
  top: 0; 
  
}
.custom-navbar {
  opacity: 0;
  animation: fadeIn 0s ease-in forwards;
}
@keyframes fadeIn {
  from {
      opacity: 0;
  }
  to {
      opacity: 1;
  }
}

.material-symbols-rounded {
  font-family: 'Material Icons Rounded';
  font-size: 48px;  
  color: #9a9a9a; 
  text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3); 
  transition: color 0.3s ease, transform 0.3s ease; 
  
}



.nav-item {
  display: flex;
  align-items: center; 
}
.nav-item:hover .material-symbols-rounded {
  color: #e7ee45  ; 
  transform: scale(1.1); 
  text-shadow: 0 0 8px rgba(205, 214, 3, 0.8), 
               0 0 15px rgba(205, 214, 3, 0.6); 
  
  
}
.custom-navbar .nav-item:hover {
  background-color: #212020; 
  border-radius: 5px;
  transform: translateY(-2px);
  
  
}
.custom-navbar .nav-link:hover {
  color: #ffffff; 
  
}



.custom-navbar .nav-item.active {
  background-color: #212020; 
  border-radius: 5px;
  color: #ffffff;
}

.custom-navbar .nav-item.active .material-symbols-rounded {
  color: #e7ee45; 
  transform: scale(1.1); 
  text-shadow: 0 0 8px rgba(205, 214, 3, 0.8), 
               0 0 15px rgba(205, 214, 3, 0.6); 
}
.custom-navbar .nav-item.active .nav-link {
  color: #ffffff; 
}
.top-navbar .dropdown-item{
  color: #424242;
}


.top-navbar .dropdown-item:hover {
  background: linear-gradient(90deg, #e3e3e3, #eeeeee);
  color: #000000 ;  
}

.right-section .dropdown-menu {
  background: linear-gradient(90deg, #eeeeee, #ffffff);
  right: 0 !important; 
  left: auto !important; 
  border-radius: 1;
  visibility: hidden;
  
  transform: translateY(10px);
  
 
  
  opacity: 0;
  transition: transform 0.4s ease, opacity 0.4s ease, visibility 0s linear 0.4s;
}

.left-section .dropdown-menu {
  
  background: linear-gradient(90deg, #eeeeee, #ffffff);
  right: auto !important; 
  left: 0 !important; 
  border-radius: 1;
  visibility: hidden;
  
  transform: translateY(10px);
  
 
  
  opacity: 0;
  transition: transform 0.4s ease, opacity 0.4s ease, visibility 0s linear 0.4s;
  
}
.left-section .dropdown-menu.show {
  visibility: visible;
  
  

  opacity: 1;
  
}
.right-section .dropdown-menu.show {
  visibility: visible;
  
  

  opacity: 1;
  
}
.left-section .dropdown-toggle:hover {
  
  text-shadow: 0 0 8px rgba(205, 214, 3, 0.8), 
               0 0 15px rgba(205, 214, 3, 0.6); 
               
  
  
}
.left-section .dropdown-toggle:focus {
  text-shadow: 0 0 8px rgba(205, 214, 3, 0.9), 
               0 0 15px rgba(205, 214, 3, 0.7); 
  
}
.right-section .dropdown-toggle:hover {
  
  text-shadow: 0 0 8px rgba(255, 255, 255, 0.8), 
               0 0 15px rgba(255, 255, 255, 0.6); 
               
  
  
}
.right-section .dropdown-toggle:focus {
  text-shadow: 0 0 8px rgba(255, 255, 255, 0.9), 
               0 0 15px rgba(255, 255, 255, 0.7); 
  
}


.custom-navbar .navbar-toggler:focus, 
.custom-navbar .navbar-toggler:active {
  outline: none; 
  box-shadow: none; 
}

.top-navbar .navbar-brand img:hover {
  box-shadow: 0 0 15px rgba(205, 214, 3, 0.6);
}






@media (max-width: 768px) {
  
  .top-navbar .container-fluid {
    display: block; 
    padding-left: 15px;
    padding-right: 15px;

  }

 
  .right-section .nav-item {
    margin-left: 5px;
  }

  .top-navbar .nav-link {
    font-size: 10px; 
    padding: 5px; 
  }

  
  .top-navbar .dropdown-item {
    font-size: 10px; 
  }
}










@media (max-width: 500px) {
 
  .top-navbar .container-fluid {
    flex-direction: column; 
    align-items: flex-start; 
    padding: 0; 
  }

 
  .left-section,
  .right-section {
    width: 100% !important; 
     
  }

  
  .top-navbar .navbar-brand img {
    max-width: 80%; 
    max-height: 80px; 
    
  }

 
  .custom-navbar {
    margin-top: 30px; 
  }

 
  
}